<template>
  <div id="prk-order-app" class="prk-order-app">
    <div class="container">
      <transition name="fade">
        <div v-show="step === 1">
            <FormStepFirst
             v-on:next-step="step = 2"
             v-on:dataFormFirst="valFirst = $event"
             />
        </div>
      </transition>
    </div>  
    <div class="container container-mini">
      <transition name="fade">
        <div v-show="step === 2">
          <FormStepTwo
            :dataFormFirst="valFirst"
            v-on:dataFormTwo="valTwo = $event"
            v-on:prev-step="step = 1"
            v-on:next-step="step = 3"
          />
        </div>
      </transition>
      <transition name="fade">
        <div v-show="step === 3 ">
          <FromStepThree
            v-on:prev-step="step = 2"
            v-on:next-step="step = 4"
            v-on:FormThreeVal="valThre = $event"
          />
        </div>
      </transition>
      <transition name="fade">
        <div v-show="step === 4 ">
          <FromStepFour
            v-on:prev-step="step = 3"
            v-on:next-step="step = 5"
            v-on:FormFourVal="valFour = $event"
          />
        </div>
      </transition>
            <transition name="fade">
        <div v-show="step === 5 ">
          <FromStepFive
            :dataFormFirst="valFirst"
            :dataFormTwo="valTwo"
            :dataFormThree="valThre"
            :dataFormFour="valFour"
            v-on:editStep="step = $event"
            v-on:prev-step="step = 4"
            v-on:next-step="step = 6"
          />
        </div>
      </transition>
      <transition name="fade">
        <div v-show="step === 6 ">
          <FromStepFinish
            :dataStepTwo="valTwo"
            v-on:prev-step="step = 5"
            v-on:next-step="step = 7; valFinish = $event;"
          />
        </div>
      </transition>
      <transition name="fade">
        <div v-show="step === 7 ">
          <thankPage
            :dataStepFinish="valFinish"
          />
        </div>
      </transition>
    </div>  
  </div>
</template>
<script>
import FormStepFirst from './components/FormStepFirst.vue'
import FormStepTwo from './components/FormStepTwo.vue'
import FromStepThree from './components/FromStepThree.vue'
import FromStepFour from './components/FromStepFour.vue'
import FromStepFive from './components/FromStepFive.vue'
import FromStepFinish from './components/FromStepFinish.vue'
import thankPage from './components/thankPage.vue'
export default {
  data(){
    return{
      step:1,
      valFirst:{
        loadRespons: true,
        postFormOne:{startAddress: {nameAdress:''},finishAddress: {nameAdress:''},optionCar: '',restoringCar: false},
        responsData:{distance: '',price:''}
      },
      valTwo: {
        step: 2,
        date: {
          dataStr:'',
          dataFormat:''
        }
      },
      valThre: {},
      valFour:{},
      valFinish:{}
    };
  },
  name: 'prk-order-app',
  components: {
    FormStepFirst,
    FormStepTwo,
    FromStepThree,
    FromStepFour,
    FromStepFive,
    FromStepFinish,
    thankPage,
  },
}
</script>
<style lang="stylus">
.prk-order-app *
  font-family 'Open Sans', sans-serif

.prk-order-app
  font-size 14px
  padding 20px 0
  color #000

  & p
    margin-bottom 15px

  &>.container
    position relative
    padding-left 30px
    padding-right 30px
  & a,  & button
    cursor pointer
@media (min-width:580px)
  .prk-order-app
    &>.container
      padding-left 15px
      padding-right 15px

@media (min-width:1024px)
  .prk-order-app
    padding 50px 0
  .container
    &&-mini
        max-width 1000px 
.text-uppercase
  text-transform: uppercase;
.text-center
  text-align center 
.fade-enter-active, 
.fade-leave-active 
  transition opacity .5s

.fade-enter,
.fade-leave-to 
  opacity 0

.slide-fade-enter-active 
  transition all .3s ease

.slide-fade-leave-active 
  transition all .8s cubic-bezier(1.0, 0.5, 0.8, 1.0)

.slide-fade-enter, 
.slide-fade-leave-to
  transform translateX(10px)
  opacity 0
</style>
